package com.goafanti.common.dao;

import com.goafanti.common.model.PublicExamine;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PublicExamineMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PublicExamine record);

    int insertSelective(PublicExamine record);

    PublicExamine selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PublicExamine record);

    int updateByPrimaryKey(PublicExamine record);

    List<PublicExamine> selectByPrid(Integer id);

    void updatePrid(PublicExamine pe);


    List<PublicExamine> selectByIds(@Param("ids") List<Integer> ids);

    void deletePrid(Integer id);
}
